<?php
/*
 * Copyright 2012 Sébastien Raud
 *
 * This file is part of beCms.
 *
 * beCms is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * beCms is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with beCms.  If not, see <http://www.gnu.org/licenses/>.
 */
return array(
    // specials
    'byte_units' => array('o', 'ko', 'Mo', 'Go', 'To', 'Po', 'Eo'),

    // menu + generic
    'LblLogoutLinkTitle' => 'Quitter l\'interface d\'administration',
    'LblAccesskey' => 'Raccourci : %d',
    'LblGoToPage' => 'Aller à la page &quot;%s&quot;',
    'LblCurrentPage' => 'Page courante &quot;%s&quot;',

    'LblYes' => 'Oui',
    'LblNo' => 'Non',

    // libs
        // errors
        'ErrFileNotRead' => 'Le fichier "%s" n\'a pu être lu.',
        'ErrFileNotWrite' => 'Erreur d\'écriture du fichier "%s".',
        'ErrFileRename' => 'Le fichier "%s" ne peut être renommé en "%s".',
        'ErrFileCopy' => 'Le fichier "%s" ne peut être copié en "%s".',
        'ErrMakeDir' => 'Impossible de créer le répertoire "%s".',
        'ErrFileDelete' => 'Impossible de supprimer le fichier "%s"',
        'ErrDirDelete' => 'Impossible de supprimer le répertoire "%s"',
        'ErrDirExists' => 'Le répertoire "%s" existe déjà.',
        'ErrRouteNotExists' => 'La route "%s" n\'existe pas.',
        'Err404' => 'Erreur 404.',
        'ErrHelperNotFound' => 'Helper "%s" absent.',
        'ErrRequestData' => 'Des données de la requête http sont absentes (%s).',
        'ErrRequestPostOnly' => 'Cette requête doit être une requête POST.',

        'ErrPageNotFound' => 'La page demandée n\'existe pas.',
        'ErrSecurity' => 'Des paramètres de sécurités n\'ont pas été validés.',

        // upload errors (php constantes)
        'ErrUpload'.UPLOAD_ERR_INI_SIZE    => 'Le fichier téléchargé excède la taille maximum autorisée (php.ini : upload_max_filesize).',
        'ErrUpload'.UPLOAD_ERR_FORM_SIZE   => 'Le fichier téléchargé excède la taille de MAX_FILE_SIZE, qui a été spécifiée dans le formulaire HTML.',
        'ErrUpload'.UPLOAD_ERR_PARTIAL     => 'Le fichier n\'a été que partiellement téléchargé.',
        'ErrUpload'.UPLOAD_ERR_NO_FILE     => 'Aucun fichier n\'a été téléchargé.',
        'ErrUpload6' => 'Un dossier temporaire est manquant.', /* .UPLOAD_ERR_NO_TMP_DIR   : PHP 5.0.3 */
        'ErrUpload7' => 'Échec de l\'écriture du fichier sur le disque.', /* UPLOAD_ERR_CANT_WRITE  : PHP 5.1.0 */
        'ErrUpload8' => 'Une extension PHP a arrété l\'envoi de fichier. PHP ne propose aucun moyen de déterminer quelle extension est en cause. ', /* UPLOAD_ERR_EXTENSION : PHP 5.2.0 */

        // messages
        'MsgOperationOk' => 'L\'opération s\'est correctement déroulée.',

        'MsgCheckInteger' => '%s doit être un entier.',

        'LblUploadFileSize' => 'La taille des fichiers d\'upload',
        'LblThumbsWidth' => 'La largeur des miniatures',
        'LblThumbsHeight' => 'La hauteur des miniatures',

        // configuration
        'MsgRequiredSeverConfig' => 'Les valeurs de configuration du serveur sont nécessaires.',
        'MsgRequiredAdminAreaConfig' => 'Les valeurs de configuration de la zone d\'administration sont nécessaires.',
        'MsgRequiredUrl' => 'L\'url de base est obligatoire.',
        'MsgCheckBaseUrl' => 'L\'url de base "%s" n\'est pas valide. Elle ne doit contenir que des chiffres, lettres, tirets "-", soulignés "_" ou slash "/".',
        'MsgCheckVariablePageName' => 'Le nom de la variable de page "%s" n\'est pas valide. Il ne doit contenir que des lettres.',
        'MsgCheckAdminRoute' => 'La route "%s" de la zone d\'administration n\'est pas valide. Elle ne doit contenir que des chiffres, lettres, tirets "-" ou soulignés "_".',
        'MsgRequiredWidthHeight' => 'Vous devez spécifier la largeur ou la hauteur par défaut des miniatures.',

        // controllers
        'ErrLoginPassword' => 'Identifiant ou mot de passe incorrect.',
        'MsgLoggoutOk' => 'Vous avez été déconnecté avec succès.',
        'ErrUserNotExists'  => 'L\'utilisateur "%s" n\'existe pas.',
        'MsgSelectPageToEdit' => 'Veuillez choisir une page à éditer',
        'ErrPageContentNotWrite' => 'Erreur d\'enregistrement du contenu de la page "%s" (id : %s).',
        'ErrPagePropertiesNotWrite' => 'Erreur d\'enregistrement des propriétés de la page "%s" (id : %s).',
        'MsgPageIsCached' => 'La page "%s" est actuellement en cache.',
        'ErrNoPage' => 'Aucune page à visualiser.',
        'ErrLoadingPage' => 'Erreur de chargement de la page.',
        'ErrUserAccess' => 'Vous n\'avez pas les droits pour accéder à la page demandée.',
        'ErrUserRightsAction' => 'Vous n\'avez pas les droits pour exécuter l\'action demandée.',

        // files
        'MsgRequiredFileTitle' => 'Le titre est obligatoire pour le fichier "%s".',
        'MsgCheckFileExtension' => 'Une extension au fichier "%s" est obligatoire.',
        'ErrCheckFileImageType' => 'Les formats d\'images acceptés sont GIF, JPEG et PNG.<br />L\'extension doit être .gif, .png, .jpg, .jpeg ou .jpe.',
        'ErrFilesFileNotFound' => 'Le fichier "%s" n\'existe pas.',

        // modules
        'MsgCheckModuleKey' => 'Le nom de module "%s" n\'est pas valide. Il ne doit contenir que des chiffres, lettres, tirets "-" ou soulignés "_".',
        'MsgCheckModuleDir' => 'Le répertoire "%s" d`installation du module "%s" n\'existe pas.',
        'ErrRenameFile' => 'Impossible de renommer le fichier "%s" en "%s".',
        'ErrCopyFile' => 'Impossible de copier le fichier "%s" en "%s".',
        'ErrModuleIsInstalled' => 'Le module "%s" est déjà installé.',
        'ErrModuleNotInstalled' => 'Le module "%s" n\'est pas installé.',

        // pages
        'ErrPageNotExists' => 'La page (id : %s) n\'existe pas.',
        'ErrPageLocked' => 'La page est verrouillée, enregistrement impossible',
        'ErrMustBeDraft' => 'Action disponible uniquement en mode brouillon.',

        // structure
        'ErrStructureRootUp' => 'L\'élément racine ne peut pas être remonté.', // ??
        'ErrStructureRootDown' => 'L\'élément racine ne peut pas être descendu.',
        'ErrStructureRootRemove' => 'L\'élément racine ne peut pas être supprimé.',
        'MsgRouteCollision' => 'Collision de route sur l\'url "%s" (page "%s" - id : "%s").',
        'ErrRouteNotAvailable' => 'Vous ne pouvez pas utiliser la route "%s" (page "%s" - id : %s).',
        'MsgRequiredTitle' => 'Le titre est obligatoire.',

        // users
        'MsgRequiredField' => 'Le champ %s est obligatoire.',
        'MsgCheckLogin' => 'L\'identifiant "%s" n\'est pas valide. Il ne doit contenir que des chiffres, lettres, tirets "-" ou soulignés "_".',
        'MsgLengthLogin' => 'L\'identifiant "%s" n\'est pas valide. Il doit contenir au moins 4 caractères.',
        'ErrLoginExists' => 'L\'identifiant "%s" existe déjà.',
        'firstname' => 'prénom', // single word
        'lastname' => 'nom', // single word
        'MsgCheckPassword' => 'Le mot de passe n\'est pas valide. Il ne doit contenir que des chiffres, lettres, tirets "-" ou soulignés "_".',
        'MsgLengthPassword' => 'Le mot de passe n\'est pas valide. Il doit contenir au moins 6 caractères.',
        'ErrNoAdminUser' => 'Au moins un administrateur est obligatoire.',

        // pages && configuration
        'LblDoctypeXhtml1.0Strict' => 'xhtml 1.0 Strict',
        'LblDoctypeXhtml1.0Transitional' => 'xhtml 1.0 Transitional',

        // modules
        'MsgNoInstalledModule' => 'Aucun module installé.',
        'MsgNoAvailableModule' => 'Aucun module disponible.',

    // layout
    'LblLogout' => 'Déconnexion',

    // butons
    'BtSave' => 'Enregistrer',
    'BtCancel' => 'Annuler',
    'BtPublish' => 'Publier',
    'BtDelete' => 'Supprimer',
    'BtOk' => 'OK',

    // Many used
    'LblTitle' => 'Titre',
    'LblFileName' => 'Nom fichier',
    'LblActions' => 'Actions',
    'HelpActions' => 'Actions possibles.',
    'LblShow' => 'Voir',
    'LblSave' => 'Sauvegarder',
    'LblSaveChanges' => 'Sauvegarder les modifications',
    'LblDelete' => 'Supprimer',
    'LblAdd' => 'Ajouter',
    'LblModify' => 'Modifier',
    'LblEdit' => 'Éditer',


    // helpers structure !!
    'LblHelperStructureEditElementProperties' => 'Éditer les propriétés de l\'élément',
    'LblHelperStructureEditElement' => 'Édition des propriétés de l\'élément "%s"',
    'LblHelperStructureEditPage' => 'Éditer la page',
    'LblHelperStructureEditDraft' => 'Éditer le brouillon',
    'LblHelperStructureTitle' => 'Titre :',
    'HelpHelperStructureTitle' => 'Titre de la page tel qu\'il peut être affiché dans le navigateur.',
    'LblHelperStructureRedirection' => 'Redirection : ',
    'HelpHelperStructureRedirection' => 'Indique une page du site vers laquelle doit être redirigée la page courante.',
    'LblHelperStructureRedirectionCode' => 'Code redirection : ',
    'LblHelperStructureContentRedirection' => 'Redirection du contenu',
    'LblHelperStructureMovedPermanently' => 'Redirection permanente',
    'LblHelperStructureFound' => 'Redirection temporaire',
    'HelpHelperStructureRedirectionCode' => 'Indique le type de redirection utilisé.',
    'LblHelperStructureCacheLength' => 'Durée cache :',
    'LblHelperStructureClearCache' => 'Effacer le cache',
    'HelpHelperStructureCacheLength' => 'La "mise en cache" permet de réduire le temps d\'accès à une page.<br />Vous pouvez paramétrer la durée en secondes pendant laquelle la page restera dans le cache.',
    'LblHelperStructurePageType' => 'Type de page :',
    'HelpHelperStructurePageType' => 'Format dans lequel sera édité le contenu de la page. Le format standard est "html".',
    'LblHelperStructureOnline' => 'En ligne :',
    'HelpHelperStructureOnline' => 'Permet de rendre la page accessible aux visiteurs.',
    'LblHelperStructureInMenu' => 'Indexation menu :',
    'HelpHelperStructureInMenu' => 'Permet de faire afficher la page dans le menu.',
    'LblHelperStructureIsSecure' => 'Page sécurisée :',
    'HelpHelperStructureIsSecure' => 'Indique si la page doit utiliser le protocole sécurisé "https".',
    'LblHelperStructureId' => 'Identifiant :',
    'HelpHelperStructureId' => 'Identifiant interne de la page.',
    'LblHelperStructureAddChild' => 'Ajouter un enfant',
    'LblHelperStructureSlug' => 'Slug :',
    'HelpHelperStructureSlug' => 'Le "slug" est le nom de la page tel qu\'il peut figurer dans l\'url.<br />S\'il n\'est pas saisi, il sera généré à partir du titre.',
    'LblHelperStructureShowSlug' => 'Slug visible :',
    'HelpHelperStructureShowSlug' => 'Indique si le slug doit servir dans l\'url de la page.',
    'LblHelperStructureExtension' => 'Extension :',
    'HelpHelperStructureExtension' => 'Indique si l\'url de la page doit se terminer par une extension.',
    'LblHelperStructureState' => 'État :',
    'HelpHelperStructureState' => 'Permet de rendre la page accessible aux visiteurs.',
    'LblHelperStructurePosition' => 'Position :',
    'LblHelperStructurePositionUp' => 'Remonter',
    'LblHelperStructurePositionDown' => 'Descendre',
    'HelpHelperStructurePosition' => 'Permet de déplacer la page dans son arborescence courante.',
    'LblHelperStructureNewElement' => 'Nouvel élément',

    // back contents
        // configuration
        'LblConfigPageTitle' => 'Configuration',

        'LblConfigServerTitle' => 'Informations serveur',
            'LblConfigBaseUrl' => 'Url de base :',
            'HelpConfigBaseUrl' => 'Votre site aura une adresse du type <em>http://url_de_base/page</em>.',
            'LblConfigUrlRewriting' => 'Réécriture d\'url :',
            'HelpConfigUrlRewriting' => 'Sans réécriture d\'url, l\'adresse d\'une page sera de la forme <em>http://url_de_base/index.php?p=page</em>.<br />Avec, la forme peut être <em>http://url_de_base/page</em>.',
            'LblConfigVariablePageName' => 'Nom de la variable de page :',
            'HelpConfigVariablePageName' => 'Si vous n\'utilisez pas la réécriture d\'url, la variable correspond à "p" dans l\'expression : <em>http://url_de_base/index.php?<strong>p</strong>=page</em>.',
            'LblConfigRootDir' => 'Répertoire initial :',
            'root' => 'racine',
            'HelpConfigRootDir' => 'Votre serveur HTTP peut pointer sur le répertoire racine du cms (/) ou sur le répertoire /web.',
            'LblConfigUploadFileSize' => 'Taille des fichiers d\'upload :',
            'HelpConfigUploadFileSize' => 'Taille maximum, en octets, des fichiers téléchargés sur le serveur.',
            'LblConfigFileMode' => 'Droits sur les fichiers :',
            'HelpConfigFileMode' => 'Droits UNIX pour les fichiers créés. Par exemple 0666.',
            'LblConfigDirMode' => 'Droits sur les dossiers :',
            'HelpConfigDirMode' => 'Droits UNIX pour les dossiers créés. Par exemple 0777.',
        'LblConfigSiteParameters' => 'Paramètes du site',
            'LblConfigSiteTitle' => 'Titre du site :',
            'HelpConfigSiteTitle' => 'Titre du site tel qu\'il peut figurer dans la balise &lt;title&gt; de l\'en-tête html des pages.',
            'LblConfigTitleFormat' => 'Format du titre du site :',
            'HelpConfigTitleFormat' => 'Format du titre général du site tel qu\'il peut être affiché dans le navigateur. Vous pouvez utiliser les paramètres :<br />&nbsp;&nbsp;- <em>%site-title%</em> : titre du site ;<br />&nbsp;&nbsp;- <em>%page-title%</em> : titre de la page.',
            'LblConfigImgNameFormat' => 'Format de nom des images :',
            'HelpConfigImgNameFormat' => 'Les images de la section "Fichiers" peuvent être renommées avec les paramètres :<br />&nbsp;&nbsp;- <em>%title%</em> : basé sur le titre donné au fichier ;<br />&nbsp;&nbsp;- <em>%date%</em> : basé sur la date ;<br />&nbsp;&nbsp;- <em>%random%</em> : basé sur un tirage aléatoire.',
            'LblConfigThumbWidth' => 'Largeur des miniatures d\'images :',
            'HelpConfigThumbWidth' => 'Indique la largeur par défaut de génération des miniatures d\'images (en pixels).',
            'LblConfigThumbHeight' => 'Hauteur des miniatures d\'images :',
            'HelpConfigThumbHeight' => 'Indique la hauteur par défaut de génération des miniatures d\'images (en pixels).',
            'LblConfigDocNameFormat' => 'Format de nom des documents :',
            'HelpConfigDocNameFormat' => 'Les documents de la section "Fichiers" peuvent être renommées avec les paramètres :<br />&nbsp;&nbsp;- <em>%title%</em> : basé sur le titre donné au fichier ;<br />&nbsp;&nbsp;- <em>%date%</em> : basé sur la date ;<br />&nbsp;&nbsp;- <em>%random%</em> : basé sur un tirage aléatoire.',
        'LblConfigPages' => 'Pages',
            'LblConfigPagesExtension' => 'Extension par défaut des pages :',
            'HelpConfigPagesExtension' => 'Les pages auront par défaut cette extension, que vous pourrez changer dans la section "structure".',
            'LblConfigLayout' => 'Mise en page par défaut :',
            'HelpConfigLayout' => 'Les pages utiliseront par défaut ce contour de page.',
            'LblConfigDoctype' => 'Type de document par défaut :',
            'HelpConfigDoctype' => 'Les pages utiliseront par défaut ce type de document, ou "doctype".',
            'LblConfigCss' => 'Fichiers css par défaut :',
            'HelpConfigCss' => 'Les pages utiliseront par défaut cette liste de fichiers de style.',
            'LblConfigJs' => 'Fichiers javascripts par défaut :',
            'HelpConfigJs' => 'Les pages utiliseront par défaut cette liste de fichiers javascripts.',
        'LblAdminArea' => 'Zone d\'administration',
            'LblAdminAreaRoute' => 'Route de la zone d\'administration :',
            'HelpAdminAreaRoute' => 'La zone d\'administration sera disponible à une adresse de la forme <em>http://url_de_base/route_administration</em>.',
            'LblAdminAreaIsSecure' => 'Sécuriser la zone d\'administration :',
            'HelpAdminAreaIsSecure' => 'Indique si la zone d\'administration doit utiliser le protocole sécurisé "https".',

        // files
        'LblFilesPageTitle' => 'Fichiers',

        'LblFilesServerMaxFileSize' => 'Le serveur est configuré pour des fichiers de %s %s maximum.',
        'LblFilesDocumentEdit' => 'Édition du document "%s"',
        'LblFilesImageEdit' => 'Édition de l\'image "%s"',

        'LblFilesDocuments' => 'Documents',
            'LblFilesAddDocument' => 'Ajouter un document :',
            'HelpFilesAddDocument' => 'Choisissez le document à ajouter.',
            'LblFilesDocumentTitle' => 'Titre :',
            'HelpFilesDocumentTitle' => 'Titre du document.',
            'LblFilesDocumentDir' => 'Dossier :',
            'HelpFilesDocumentDir' => 'Dossier dans lequel sera enregistré le document.<br />Si vous supprimez ce dossier, son contenu sera également supprimé.',
            'HelpFilesDocumentDirShow' => 'Dossier à afficher.',
            'LblFileDocumentNewDir' => 'Nouveau dossier :',
            'HelpFileDocumentNewDir' => 'Si le champ n\'est pas vide, ce dossier sera créé comme sous dossier du dossier sélectionné.<br />Si un document est ajouté, il le sera dans ce dossier.',
            'LblFilesDocumentList' => 'Liste des documents',
            'LblFilesDocumentUrl' => 'URL du document :',
            'HelpFilesDocumentUrl' => 'Adresse web du document.',
            'LblFilesNoDocument' => 'Aucun document',
        'LblFilesImages' => 'Images',
            'LblFilesAddImage' => 'Ajouter une image :',
            'HelpFilesAddImage' => 'Choisissez l\'image à ajouter.',
            'LblFilesImageTitle' => 'Titre :',
            'HelpFilesImageTitle' => 'Titre de l\'image.',
            'LblFilesImageDir' => 'Dossier :',
            'HelpFilesImageDir' => 'Dossier dans lequel sera enregistrée l\'image.<br />Si vous supprimez ce dossier, son contenu sera également supprimé.',
            'HelpFilesImageDirShow' => 'Dossier à afficher.',
            'LblFilesImageNewDir' => 'Nouveau dossier :',
            'HelpFilesImageNewDir' => 'Si le champ n\'est pas vide, ce dossier sera créé comme sous dossier du dossier sélectionné.<br />Si une image est ajoutée, elle le sera dans ce dossier.',
            'LblFilesImageMakeThumb' => 'Générer miniature :',
            'HelpFilesImageMakeThumb' => 'Indique s\'il faut générer une image miniature.',
            'LblFilesImageThumbWidth' => ' Largeur de la miniature :',
            'HelpFilesImageThumbWidth' => 'Largeur de la miniature (en pixels).',
            'LblFilesImageThumbHeight' => 'Hauteur de la miniature :',
            'HelpFilesImageThumbHeight' => 'Hauteur de la miniature (en pixels).',
            'LblFilesImagesList' => 'Liste des images',
            'LblFilesImageHasThumb' => 'Miniature',
            'HelpFilesImageHasThumb' => 'Indique si l\'image possède une miniature.',
            'LblFilesImageUrl' => 'URL de l\'image :',
            'HelpFilesImageUrl' => 'Adresse web de l\'image.',
            'LblFilesImage' => 'Image',
            'HelpFilesImage' => 'Aperçu de l\'image.',
            'LblFilesImageListDir' => 'Afficher le dossier',
            'LblFilesNoImage' => 'Aucune image',

        // home
        'LblHomePageTitle' => 'Accueil',

        'LblHomeWelcome' => 'Vous voici dans la zone d\'administration de votre site.<br />Vous avez accès aux différentes fonctions d\'administration depuis les onglets de cette interface.',

        // login
        'LblConnectionPageTitle' => 'Connexion',

        'LblConnectionInformations' => 'Informations de connexion',
        'LblConnectionLogin' => 'Identifiant : ',
        'LblConnectionPassword' => 'Mot de passe : ',

        // preview
        'LblPreviewPageTitle' => 'Prévisualisation',

        // edit
        'LblEditPageTitle' => 'Édition d\'une page',
        'LblEditMenuTitle' => 'Édition',

        'LblEditEditTitle' => 'Édition de la page "<span class="italic">%s</span>"',
        'LblEditDraftMode' => 'mode brouillon',
        'LblEditEditTitleNoPage' => 'Édition d\'une page - page à éditer',
        'LblEditLockedBy' => 'Page verrouillée par %s.',
        'LblEditGeneralsInformations' => 'Informations générales',
        'LblEditTitle' => 'Titre de la page :',
        'HelpEditTitle' => 'Titre de la page tel qu\'il peut être affiché dans le navigateur.',
        'LblEditSlug' => 'Slug de la page :',
        'HelpEditSlug' => 'Le "slug" est le nom de la page tel qu\'il peut figurer dans l\'url.<br />S\'il n\'est pas saisi, il sera généré à partir du titre.',
        'LblEditRoute' => 'Chemin de la page :',
        'HelpEditRoute' => 'Adresse internet (URL) de la page, ou lien de prévisualisation.',
        'LblEditRoutePreview' => 'Prévisualiser la page',
        'LblEditRouteShow' => 'Voir la page',
        'LblEditNoRoute' => 'Aucune route',
        'LblEditCacheTime' => 'Durée du cache de la page :',
        'HelpEditCacheTime' => 'La "mise en cache" permet de réduire le temps d\'accès à une page.<br />Vous pouvez paramétrer la durée en secondes pendant laquelle la page restera dans le cache.',
        'LblEditLayout' => 'Mise en page :',
        'HelpEditLayout' => 'Contour de page dans lequel sera inclu le contenu de la page courante.',
        'LblEditDoctype' => 'Type de document HTML :',
        'HelpEditDoctype' => 'Type de document utilisé, ou "doctype".',
        'LblEditTypeMime' => 'Type de page :',
        'HelpEditTypeMime' => 'Indique le type de rendu effectué par le code PHP.<br />  - <em>xhtml</em> : rendu xhtml ;<br />  - <em>xml</em> : rendu xml ;<br />  - <em><strong>vide</strong></em> : le type mime doit être déclaré par le code PHP.',
        'LblEditContents' => 'Contenu',
        'LblEditMetadataProperties' => 'Propriétés - Métadonnées',
        'LblEditMetadataDescription' => 'Description :',
        'HelpEditMetadataDescription' => 'Contenu de la métadonnée "description" qui se trouve dans l\'en-tête de la page.<br />Doit contenir une brève description du contenu de la page.',
        'LblEditMetadataKeywords' => 'Mots clés :',
        'HelpEditMetadataKeywords' => 'Contenu de la métadonnée "keywords" qui se trouve dans l\'en-tête de la page.<br />Doit contenir quelques mot-clés séparés par une virgule.',

        'LblEditBodyId' => 'Identifiant du corps de page :',
        'HelpEditBodyId' => 'Permet de déclarer un identifiant au corps de page.<br />Représente l\'attribut "id" de la balise "body".',

        'LblEditBodyClasses' => 'Classes css du corps de page :',
        'HelpEditBodyClasses' => 'Permet de déclarer des classes css au corps de page.<br />Représente l\'attribut "class" de la balise "body".',

        'LblEditExternalsFiles' => 'Fichiers externes',
        'LblEditCssFiles' => 'Fichiers CSS :',
        'HelpEditCssFiles' => 'Liste des fichiers de style utilisés par la page.',
        'LblEditJsFiles' => 'Fichiers javascripts :',
        'HelpEditJsFiles' => 'Liste des fichiers javascripts utilisés par la page.',
        'LblEditPagesList' => 'Pages',
        'LblEditUnlock' => 'Déverrouiller la page',
        'LblEditLock' => 'Verrouiller la page',
        'LblEditGoDraft' => 'Passer en mode brouillon',
        'LblEditGoDraftNew' => 'Nouveau brouillon',
        'LblEditGoReal' => 'Passer en mode édition réelle',
        'LblEditCopyReal' => 'Copier la page réelle en brouillon',

        // structure
        'LblStructurePageTitle' => 'Structure',
        'LblStructurePageEditElement' => 'Édition',

        'ErrNoStructure' => 'Aucune structure définie',

        // users
        'LblUsersPageTitle' => 'Gestion des utilisateurs',
        'LblUsersMenuTitle' => 'Utilisateurs',

        'LblUsersUserEdit' => 'Édition de l\'utilisateur "%s"',
        'LblUsersNewUser' => 'Nouvel utilisateur',

        'LblUsersLogin' => 'Identifiant',
        'HelpUsersLogin' => 'Nom de connexion de l\'utilisateur.',
        'LblUsersFirstname' => 'Prénom',
        'HelpUsersFirstname' => 'Prénom de l\'utilisateur.',
        'LblUsersLastname' => 'Nom',
        'HelpUsersLastname' => 'Nom de l\'utilisateur.',
        'LblUsersRights' => 'Rôle',
        'HelpUsersRights' => 'Indique si l\'utilisateur est un administrateur ou un utilisateur simple.<br />L\'administrateur peut configurer le cms et gérer les utilisateurs.',
        'LblUsersPassword' => 'Mot de passe',
        'HelpUsersPassword' => 'Mot de passe pour la connexion de l\'utilisateur.',
        'LblUsersActions' => 'Actions',
        'HelpUsersActions' => 'Actions possibles.',
        'LblUsersTypeUser' => 'Utilisateur',
        'LblUsersTypeAdmin' => 'Administrateur',

        // modules
        'LblModulesPageTitle' => 'Modules',
        'LblModulesInstalledModules' => 'Modules installés',
        'LblModulesAvailableModules' => 'Modules disponibles',

        'LblModulesModule' => 'Module',
        'HelpModulesModule' => 'Nom interne du module.',
        'LblModulesTitle' => 'Titre',
        'HelpModulesTitle' => 'Titre du module.',
        'LblModulesVersion' => 'Version',
        'HelpModulesVersion' => 'Numéro de version du module.',
        'LblModulesDescription' => 'Description',
        'HelpModulesDescription' => 'Description du module.',
        'LblModulesHomePage' => 'Page d\'accueil du module',
        'LblModulesAdminPage' => 'Page d\'administration du module.',

        'LblModulesPositionUp' => 'Remonter',
        'LblModulesPositionDown' => 'Descendre',
);
